Subject: Re: [PATCH/RFC] Documentation/git-mailsplit.txt: Emphasize -o more

From: Junio C Hamano <[email-masked]>
Date: Mon, 12 Jan 2009 14:06:28 -0800

[email-masked] writes:

> The need for -o cannot be overstated. Else the arguments get
> interpreted differently.

I do not think there is any ambiguity with the existing SYNOPSIS.

'git mailsplit' [-b] [-f<nn>] [-d<prec>] -o<directory> [--] [<mbox>|<Maildir>...]

> +REQUIRED OPTIONS
> +-------
> +-o<directory>::
> +	Directory in which to place the individual messages.
> +	-o is required or else arguments may be misinterpreted in a
> +	backwards compatibility mode.
> +

I think you are being overly alarmist without being helpful.

You hint that there is a backwards compatible syntax but you do not say
what it is, and you hint that the backwards compatible syntax is bad in
some unspecified way by saying "misinterpreted", without substantiating
the claim in any way.

The worst part in the new description is "may be", which only injects FUD
("is my use trigger that pitfall? how do I decide? the manual page does
not say!") without being helpful at all to the readers.

Probably a better alternative would be to describe what the backward
compatible syntax is and what it does (which I won't do here), and mention
something like the attached patchlet, without moving where -o<dir> is
described, _if_ you want to talk about it.

diff --git i/Documentation/git-mailsplit.txt w/Documentation/git-mailsplit.txt
index 5cc94ec..1b12014 100644
--- i/Documentation/git-mailsplit.txt
+++ w/Documentation/git-mailsplit.txt
@@ -28,7 +28,10 @@ OPTIONS
 	and new subdirectories.
 
 -o<directory>::
-	Directory in which to place the individual messages.
+	Directory in which to place the individual messages.  This option
+	is required in a modern usage of the command; when omitted, the
+	arguments are parsed differently and the command works in a
+	backward compatible mode (see below).
 
 -b::
 	If any file doesn't begin with a From line, assume it is a